> For the complete documentation index, see [llms.txt](https://docs.ellipsis-drive.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ellipsis-drive.com/developers/api-v3/path-raster/timestamps/upload-raster/get-uploads.md).

# Get uploads

| **Description** | Get the uploads of a given timestamp.                |
| --------------- | ---------------------------------------------------- |
| **Endpoint**    | `/path/{pathId}/raster/timestamp/{timestampId}/file` |
| **Method**      | GET                                                  |

### Access Level Rules

| **Minimum Access Level** | view |
| ------------------------ | ---- |

## Processing Units

| **Minimum processing units** | 2 |
| ---------------------------- | - |

### Parameters

| Name          | Description                                                                                                                     | Required | Default       |
| ------------- | ------------------------------------------------------------------------------------------------------------------------------- | -------- | ------------- |
| `pathId`      | The id of the raster layer.                                                                                                     | true     |               |
| `timestampId` | The id of the timestamp to get uploads of.                                                                                      | true     |               |
| `pageStart`   | JSON with required property "startDate" and optional property "pagingId" defining where to start the retrieval of results from. | false    | Default null. |
| `pageSize`    | The maximum number of uploads to retrieve. Maximum 100.                                                                         | false    | Default 100.  |
| `status`      | String with the status of the retrieved uploads. Must be one of "completed", "errored" or "pending".                            | false    | Default null. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-raster/timestamps/upload-raster/get-uploads.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
